import { OnDestroy, OnInit } from "@angular/core";
import { Subscription } from "rxjs";
import StiRectangleGeometryLayout from "../../../../computed/StiRectangleGeometryLayout";
import { StiFormElement } from "../../../../elements/base/StiFormElement";
import { StiModelService } from "../../../../services/model.service";
import { StiMouseService } from "../../../../services/mouse.service";
import { StiEditorProperty } from "../../../../services/objects";
import { StiHelperService } from "../../../../services/sti-helper.service";
import * as i0 from "@angular/core";
export declare class StiComponentHeightEditorComponent implements OnInit, OnDestroy {
    model: StiModelService;
    helper: StiHelperService;
    render: StiRectangleGeometryLayout;
    mouseService: StiMouseService;
    property: StiEditorProperty;
    element?: StiFormElement;
    mouseUpSubscription: Subscription;
    buttonDown: number;
    mouseOver: boolean;
    focused: boolean;
    private incTimeout;
    constructor(model: StiModelService, helper: StiHelperService, render: StiRectangleGeometryLayout, mouseService: StiMouseService);
    ngOnDestroy(): void;
    get value(): number;
    set value(val: number);
    onLostFocus(object: any): void;
    checkValue(value: number): number;
    clear(): void;
    setIncDec(value: number): void;
    incDecTimer(first?: boolean): void;
    ngOnInit(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<StiComponentHeightEditorComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<StiComponentHeightEditorComponent, "sti-component-height-editor", never, { "property": { "alias": "property"; "required": false; }; "element": { "alias": "element"; "required": false; }; }, {}, never, never, false, never>;
}
